import { requestPOST, requestGET } from "@/utils/request.js";

console.log(process.env, "-----------------config------");
// wx
export default {
  //登录
  miniLogin(options, env) {
    return requestGET(
      `${process.env.OLSHOP_URL}/${env ? env : "wx"}/mini_login`,
      options
    );
  },
  bindUser(options, env) {
    //绑定
    return requestPOST(
      `${process.env.OLSHOP_URL}/${env ? env : "wx"}/mini_bind_user`,
      options
    );
  },
  checkUnionid(options, env) {
    //check unionid
    return requestGET(
      `${process.env.OLSHOP_URL}/${env ? env : "wx"}/mini_check_${
        env && env == "tt" ? "open" : "union"
      }_id`,
      options
    );
  }
};
